name: b0esche_cloud
description: "A new Flutter project."
publish_to: "none"
version: 0.1.0

environment:
  sdk: ^3.10.4

dependencies:
  flutter:
    sdk: flutter

  # State Management
  flutter_bloc: ^9.1.1
  bloc: ^9.1.0

  # Networking
  dio: ^5.3.2

  # Routing
  go_router: ^17.0.1

  # Dependency Injection
  get_it: ^9.2.0
  injectable: ^2.3.2

  # Local Storage
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  shared_preferences: ^2.2.2
  flutter_secure_storage: ^10.0.0

  # Internationalization
  intl: ^0.20.2

  # Logging
  logger: ^2.0.2

  # Image Handling
  cached_network_image:
    ^3.3.0

  # SVG Support
  flutter_svg: ^2.0.9

  # Utilities
  equatable: ^2.0.5
  path: ^1.9.0
  path_provider: ^2.1.2
  connectivity_plus: ^7.0.0
  provider: ^6.1.1
  file_picker: ^10.3.7
  flutter_dropzone: ^4.0.0
  desktop_drop: ^0.7.0
  super_context_menu: ^0.9.1
  infinite_scroll_pagination: ^5.1.1
  collection: ^1.18.0
  syncfusion_flutter_pdfviewer: ^31.1.21

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0

  # Code Generation
  build_runner: ^2.4.6
  json_serializable: ^6.7.1
  injectable_generator: ^2.4.1
  hive_generator: ^2.0.1

  # Testing
  mockito: ^5.4.4
  bloc_test: ^10.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/fonts/

  fonts:
    - family: PixelatedElegance
      fonts:
        - asset: assets/fonts/pixelated-elegance/PixelatedEleganceRegular-ovyAA.ttf
